Mesa 17.0.x stable release

Bug #1686344 reported by Timo Aaltonen on 2017-04-26
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
mesa (Ubuntu)
Undecided
Unassigned
Zesty
Undecided
Unassigned

Bug Description

[Impact]

Mesa stable release for zesty & backport to xenial. Xenial needs newer libdrm from zesty. These are part of the hwe-16.04 stack refresh.

[Test case]

Install, run desktop session, test xonotic.

the important hw drivers to test:
- i965 (Intel)
- radeonsi (AMD)

[Regression potential]

Spec compliance test suites are already run by Intel and others, so feature regressions should not be possible. GLESv1 support has been dropped from the packaging though, but packages that depend on libgles1-mesa have been pushed to proposed to drop the dependency, see bug 1676845 (applies to xenial).

17.0.x has been available for xenial and yakkety users for a while, and so far no-one has complained about driver regressions.

[Other info]

Timo Aaltonen (tjaalton) on 2017-04-26
description: updated
Timo Aaltonen (tjaalton) on 2017-05-03
description: updated
Changed in libdrm (Ubuntu Zesty):
status: New → Invalid
description: updated
Timo Aaltonen (tjaalton) on 2017-05-04
no longer affects: libdrm (Ubuntu)
no longer affects: libdrm (Ubuntu Xenial)
no longer affects: libdrm (Ubuntu Zesty)
no longer affects: mesa (Ubuntu Xenial)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mesa - 17.0.5-0ubuntu1

---------------
mesa (17.0.5-0ubuntu1) artful; urgency=medium

  * New upstream bugfix release. (LP: #1686344)

 -- Timo Aaltonen <email address hidden> Thu, 04 May 2017 20:07:36 +0300

Changed in mesa (Ubuntu):
status: New → Fix Released

Hello Timo, or anyone else affected,

Accepted mesa into zesty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/mesa/17.0.6-0ubuntu0.17.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in mesa (Ubuntu Zesty):
status: New → Fix Committed
tags: added: verification-needed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers